<?php
namespace Claromentis\Core\Config;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_6596b8f" . "6a4969f9" . "a3f6a1b2" . "2b90e933" . "1" => base64_decode("c3ByaW5" . "0Zg=="), "_3758af61703edea17ee38fab15f99" . "b56" => base64_decode("JyBjYW5ub3QgYmUgc2V0IHdpdGhvdXQgYW4gaW5zdGFuY2Ugb2YgV3" . "JpdGFibGVDb25maWc="), "_44b97fb00c5dc62" . "04a2e8b46429ce10" . "9" => base64_decode("aXNfc3Ry" . "aW5nYWJs" . "ZQ=="), "_835783a3" . "40b626fa2" . "50ace4c8d" . "8249f7" => base64_decode("VW5hYmxlIHRv" . "IGNhc3QgJw=="), "_490fedd0c33685bd3a92a23dfbdbe" . "38c" => base64_decode("JyBDb25maWdWYWx1ZS" . "B0byBzdHJpbmc="), "_5a13027a56ff426a18806baf1e53" . "ce74" => base64_decode("Q29uZmlnVmFsdWUgJw" . "=="));
use RuntimeException;
use UnexpectedValueException;










class ConfigValue
{
    
    
    
    
    private Config $config;
    
    
    
    
    private string $key;
    
    
    
    
    private ?string $pattern;
    
    
    
    
    
    
    
    
    public function __construct(Config $config, string $key, ?string $_84e9b441a0415723346c265202959c32 = null)
    {
        $this->config = $config;
        $this->key = $key;
        $this->setPattern($_84e9b441a0415723346c265202959c32);
    }
    
    
    
    
    
    
    public function getValue()
    {
        return $this->config->get($this->key);
    }
    
    
    
    
    
    
    public function setValue($value)
    {
        if (!$this->config instanceof WritableConfig) {
            throw new RuntimeException($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_5a13027a56ff426" . "a18806baf1e53ce7" . "4"] . $this->key . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_3758af61703edea17" . "ee38fab15f99b56"]);
        }
        $this->config->set($this->key, $value);
    }
    
    
    
    
    
    
    public function getPattern() : ?string
    {
        return $this->pattern;
    }
    
    
    
    
    
    
    
    
    public function setPattern(?string $_84e9b441a0415723346c265202959c32)
    {
        $this->pattern = $_84e9b441a0415723346c265202959c32;
    }
    
    
    
    
    
    
    public function getProcessedValue() : string
    {
        $value = $this->getValue();
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_44b97fb00c5dc6204a2" . "e8b46429ce109"]($value)) {
            
            
            throw new UnexpectedValueException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_835783a34" . "0b626fa250" . "ace4c8d824" . "9f7"] . $this->key . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_490fedd0c33685bd3a92a2" . "3dfbdbe38c"]);
        }
        if ($this->pattern && $value !== null) {
            $value = $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_6596b8f" . "6a4969f9" . "a3f6a1b2" . "2b90e933" . "1"]($this->pattern, $value);
        }
        return (string) $value;
    }
    
    
    
    
    
    
    
    
    
    public function __toString() : string
    {
        return $this->getProcessedValue();
    }
}